Index: mscore/mscore/scscore.cpp
===================================================================
--- mscore/mscore/scscore.cpp	(revisjon 5004)
+++ mscore/mscore/scscore.cpp	(arbeidskopi)
@@ -222,13 +222,18 @@
                         s = qscriptvalue_cast<QString>(context->argument(0));
                         ext = qscriptvalue_cast<QString>(context->argument(1));
                         }
+
+                  if (argc == 2) {
+                        bool audio = false;
 #ifdef HAS_AUDIOFILE
-                  if (argc == 2) {
-                        return qScriptValueFromValue(context->engine(), mscore->saveAudio(score, s, ext));
-                        }
+                        audio = mscore->saveAudio(score, s, ext);
 #endif // HAS_AUDIOFILE
-                  else if (argc == 2)
+                        if (audio)
+                              return qScriptValueFromValue(context->engine(), audio);
+
                         return qScriptValueFromValue(context->engine(), mscore->saveAs(score, true, s, ext));
+                        }
+
                   else if (argc == 6 && ext == "png") {
                         bool screenshot  = context->argument(2).toBool();
                         bool transparent = context->argument(3).toBool();
